List threads

GET
/api/v1/threads

Authorization

bearerAuth
headerAuthorizationBearer <token>

An API key created in Capy under Settings → API.

Query parameters

projectId*string
limit?integer
cursor?string
Match^\d{1,15}:.+

Response body

ThreadPage

application/json
  1. response
items*array<>
cursor*|null
curl -X GET 'https://api.capy.ai/api/v1/threads?projectId=string'
{  "items": [    {      "id": "string",      "projectId": "string",      "authorId": "string",      "previousAuthorId": "string",      "title": "string",      "titleCustom": true,      "status": "working",      "archived": true,      "lastModelId": "string",      "modelDefault": {        "modelId": "string",        "source": "personal",        "skipped": [          {            "modelId": "string",            "source": "personal",            "reason": "string"          }        ]      },      "queuedAt": "string",      "linearIssue": {        "key": "string",        "url": "string"      },      "pullRequestAuthor": "user",      "usage": {        "llmCredits": 0,        "imageCredits": 0,        "vmCredits": 0,        "totalCredits": 0      },      "createdAt": "string",      "updatedAt": "string",      "lastActivityAt": "string",      "hasUnreads": true,      "mentionCount": 0,      "owed": true,      "needsYou": true,      "ask": {        "key": "string",        "kind": "conversation",        "text": "string",        "causeKey": "string"      },      "crewNeedsYou": 0,      "participated": true,      "crewMentionCount": 0,      "captain": {        "jamId": "string",        "name": "string",        "avatar": {          "kind": "preset",          "value": "string",          "background": "string",          "image": "string",          "library": "string"        }      },      "crewCount": 0,      "member": true,      "subscribed": true,      "personal": true,      "visibility": "org"    }  ],  "cursor": "string"}
Open in Capy